/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.ee.MonetaryBenefitAward;

// VAPensionMetaData: contains data for VBA Pension Data Sharing 

/**
 * @author George Tsai
 */
public interface VAPensionMetaData
{
    public MonetaryBenefitAward getEntity();

    public void setEntity(MonetaryBenefitAward entity);

	public String getAwardReasonCode();

	public String getEffectiveDate();
	
	public String getTerminationDate();

	public String[] getTerminationReasonCodes();


}